Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.explorer
Class ExplorerActionDrag.ExplorerDragSourceListener

    java.lang.Object
      madkit.explorer.ExplorerActionDrag.ExplorerDragSourceListener

All Implemented Interfaces:
  java.awt.dnd.DragSourceListener, java.util.EventListener

Enclosing class:
  ExplorerActionDrag

    protected class ExplorerActionDrag.ExplorerDragSourceListener

extends java.lang.Object
implements java.awt.dnd.DragSourceListener

Constructor Summary
`protected` | `ExplorerActionDrag.ExplorerDragSourceListener()`

Method Summary
`void` | `dragDropEnd(java.awt.dnd.DragSourceDropEvent event)`
`void` | `dragEnter(java.awt.dnd.DragSourceDragEvent dsde)`
`void` | `dragExit(java.awt.dnd.DragSourceEvent dse)`
`void` | `dragOver(java.awt.dnd.DragSourceDragEvent dsde)`
`void` | `dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplorerActionDrag.ExplorerDragSourceListener

    protected ExplorerActionDrag.ExplorerDragSourceListener()

Method Detail

### dragDropEnd

    public void dragDropEnd(java.awt.dnd.DragSourceDropEvent event)

  Specified by:
    `dragDropEnd` in interface `java.awt.dnd.DragSourceListener`

### dragEnter

    public void dragEnter(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DragSourceListener`

### dragExit

    public void dragExit(java.awt.dnd.DragSourceEvent dse)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DragSourceListener`

### dragOver

    public void dragOver(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DragSourceListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DragSourceListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.